#ifndef BLOCKINFO_H__
#define BLOCKINFO_H__

#include <string>
#include "define.h"

class BlockInfo
{
    public:
    BlockInfo(BlockType type, const std::string& name);
    BlockInfo();
    ~BlockInfo();

    BlockType GetType() const;

    void SetDurability(int durability);
    int GetDurability() const;
    void SetUVWH(float u, float v, float w, float h);
    float GetU();
    float GetV();
    float GetW();
    float GetH();


    void Show() const;

    private:
    BlockType m_type;
    std::string m_name;
    int m_durability;
    float m_u, m_v, m_w, m_h;

};

#endif // BLOCKINFO_H__
